

% reads an image file (any Matlab supported format
% save a square .tif image for use with Face.exe

%fname='15';
%extension='.jpg';

fname='03neme03';
extension='.tif';

inname=sprintf('%s%s',fname,extension);
outname=sprintf('%s%s',fname,'.tiff');

a=imread(inname);
L=size(a,1);
W=size(a,2);
MAX=max([L,W]);
b=uint8(100*ones(MAX,MAX));
for i=1:L
	for j=1:W
		b(i,j)=uint8(a(i,j,1));
	end
end
imwrite(b,outname,'TIFF','Compression','none')

%--------
;; %makes the list of images in a directory
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\neutral
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\gender\Gender2
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\gender\Stimuli
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\gender\orgimages
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\AllPointFiles

d=dir;list={};
j=1;
for i=1:length(d)
	if d(i,1).isdir == 0
		list(j,1)={d(i,1).name};
		j=j+1;
	end
end
N=length(list);
;;;
%---batch processing. Make the list from a file.

%cd Z:\Share\Software\face\monkeys
cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\gender

listname='Piclist.txt';
fid=fopen(listname,'r');
N=fscanf(fid,'%d',1);
for i=1:N
	name=char(fscanf(fid,'%s',1));
	list(i,1)={name};
end
fclose(fid);

%--- print the list of name (no extension)
for i=1:N
	str=list{i};
	disp(str(1:findstr(str,'.')-1))
end

%--- Correct bugs
for i=1:N
	disp(list{i});
	fp=fopen(list{i},'r');
	fpo=fopen(['temp/' list{i}],'w');
	l1=fgetl(fp);
	temp=textscan(l1,'%s %d',1);
	fn=temp{1};npoints=temp{2};
	fname=fn{1};
	idx=strfind(fname,'bmpf');
	if(idx>0)
		fname2=[fname(1:idx-2) '.tiff']
	else
		fname2=fname;
	end
	fprintf(fpo,'%s %d\n',fname2,npoints);		% correct the filenames
	
	for j=1:11
		l1=fgetl(fp);
		fprintf(fpo,'%s\n',l1);
	end
	l1=fgetl(fp);		% change Rmc to Ric
	temp=textscan(l1,'%s %f %f',1);
	fprintf(fpo,'Ric %f %f\n',temp{2}, temp{3});
	l1=fgetl(fp);		% change Lmc to Lic
	temp=textscan(l1,'%s %f %f',1);
	fprintf(fpo,'Lic %f %f\n',temp{2}, temp{3});
	for j=1:64
		l1=fgetl(fp);
		fprintf(fpo,'%s\n',l1);
	end
	
	fclose(fp);
	fclose(fpo);
end
	
%--- convert to black and white

for i=1:N
	disp(list{i});
	a=imread(list{i});
	%outname=sprintf('%sf',list{i});		% adds an f to the file name after conversion.
	str=list{i};
	outname=sprintf('%s.tiff',str(1:findstr(str,'.')-1));
	L=size(a,1);
	W=size(a,2);
	MAX=max([L,W]);
	b=uint8(100*ones(MAX,MAX));
	for i=1:L
		for j=1:W
			b(i,j)=uint8(a(i,j,1));
		end
	end
	imwrite(b,outname,'TIFF','Compression','none')
end


% Generate stimuli for the gender study with monkeys

cd C:\JM\Progs\Cprogs\Windows\Face\monkeys\gender\Stimuli
sx=[1,0,0,0,0,0,1,1,1,1,1,1,0,1,1,0,0,0,1,0,0,0,0,1,0,1,0,1,1,0,1,0,1,0,0,1,0,1,0,0,1,0,1,1,0,1,1,0,1,0,0,0];		% 1=female

ms=0;fs=0;
for i=1:N
	a=imread(list{i});
	
	fname=list{i};
	id=str2num(fname(1:2));
	d=findstr(fname,'.');name=fname(1:d-1);
	if sx(id)==1
		outname=sprintf('%sF.bmp',name);		% female.
		fs=fs+1;
	else
		outname=sprintf('%sM.bmp',name);
		ms=ms+1;
	end
	disp(outname)
	L=size(a,1);
	W=size(a,2);
	MAX=max([L,W]);
	b=a;
	for i=1:L
		for j=1:W
			b(i,j,1)=a(i,j,1);
			b(i,j,2)=a(i,j,1);
			b(i,j,3)=a(i,j,1);
		end
	end
	imwrite(b,outname,'BMP')
end





..